import {
    Address,
    Center,
    Civility,
    DateTime,
    User,
} from "ChillMainAssets/types";

export interface Thirdparty {
    acronym: string | null;
    active: boolean;
    address: Address | null;
    canonicalized: string | null;
    categories: ThirdpartyCategory[];
    centers: Center[];
    children: Thirdparty[];
    civility: Civility | null;
    comment: string | null;
    contactDataAnonymous: boolean;
    createdAt: DateTime;
    createdBy: User | null;
    email: string | null;
    firstname: string | null;
    id: number | null;
    kind: string;
    name: string;
    nameCompany: string | null;
    parent: Thirdparty | null;
    profession: string;
    telephone: string | null;
    thirdPartyTypes: ThirdpartyType[] | null;
    updatedAt: DateTime | null;
    updatedBy: User | null;
}

interface ThirdpartyType {
    key: string;
    value: string;
}

export interface ThirdpartyCategory {
    id: number;
    active: boolean;
    name: {
        fr: string;
    };
}
